"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initFrame = initFrame;

var _isEmpty2 = _interopRequireDefault(require("lodash/isEmpty"));

var _dom = _interopRequireDefault(require("sketch/dom"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function initFrame(layer, frame) {
  if (!frame || (0, _isEmpty2.default)(frame)) return;
  const _frame$x = frame.x,
        x = _frame$x === void 0 ? 0 : _frame$x,
        _frame$y = frame.y,
        y = _frame$y === void 0 ? 0 : _frame$y,
        _frame$width = frame.width,
        width = _frame$width === void 0 ? 100 : _frame$width,
        _frame$height = frame.height,
        height = _frame$height === void 0 ? 100 : _frame$height;
  const rect = {
    x,
    y,
    width,
    height
  };
  layer.frame = rect;
}